let $fields := 
<fields>
  <field name="f1_name"/>
  <field name="f2_sponsor" type="decimal"/>
  <field name="f3_trustees" maxOccurs="4"/>
</fields>
let $field_elements :=
  <sequence>
    {
      for $field in $fields/field 
        return <element name="{$field/@name}" 
                        type="{if ($field/@type) then $field/@type else "xsd:string"}"
                        minOccurs="{if ($field/@minOccurs) then $field/@minOccurs else "0"}"
                        maxOccurs="{if ($field/@maxOccurs) then $field/@maxOccurs else "1"}"
                        />
    }
  </sequence>
return 
  <schema 
     targetnamespace="http://com.stuarthack.com/schema/Sponsor">
	<element name="Sponsor">
	   <complexType>
          {$field_elements}
       </complexType>
    </element>
  </schema>


let $fields := 
<fields>
  <f1_name/>
  <f2_sponsor/>
  <f3_trustees maxOccurs="4"/>
</fields>
let $field_elements :=
  <sequence>
    {
      for $field in $fields/*
        return <element name="{$field}" 
                        type="{if ($field/@type) then $field/@type else "xsd:string"}"
                        minOccurs="{if ($field/@minOccurs) then $field/@minOccurs else "0"}"
                        maxOccurs="{if ($field/@maxOccurs) then $field/@maxOccurs else "1"}"
                        />
    }
  </sequence>
return 
  <schema 
     targetnamespace="http://com.stuarthack.com/schema/Sponsor">
    <element name="Sponsor">
      <complexType>
        {$field_elements}
      </complexType>
    </element>
  </schema>
