#!/bin/sh
# $Id: test.sh,v 1.1 2000/11/14 02:30:40 blandin Exp $

#
# Set up the environment
#
if [ -z "$JAVA_HOME" ] ; then
  JAVA=`which java`
  if [ -z "$JAVA" ] ; then
    echo "Cannot find JAVA. Please set your PATH."
    exit 1
  fi
  JAVA_BIN=`dirname $JAVA`
  JAVA_HOME=$JAVA_BIN/..
fi

JAVA=$JAVA_HOME/bin/java
JAVAC=$JAVA_HOME/bin/javac

#
# Concatenate all the libraries in the lib directory and append
# it to the classpath environment variable
#
CLASSPATH=`echo $ANT_HOME/lib/*.jar | tr ' ' ':'`
CLASSPATH=`echo ../../*.jar | tr ' ' ':'`:$CLASSPATH

CLASSPATH=$JAVA_HOME/lib/tools.jar:.:$CLASSPATH

echo $CLASSPATH

#
# Compile generated code
#
#echo 
#echo About to compile generated source code
#$JAVAC -classpath $CLASSPATH com/stuarthack/data/*.java

#
# Compiling test class
#
echo Compiling test class
$JAVAC -classpath $CLASSPATH StuartHackTest.java

#
# run the test
#
#echo about to run the test
$JAVA -cp $CLASSPATH XMLFormsTest

