<?xml version="1.0"?>
<!-- $Id: authenticate.xsl,v 1.1 2002/06/13 10:31:23 cziegeler Exp $ 

-->

<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!-- Get the name from the request paramter -->
<xsl:param name="username"/>
<xsl:param name="password"/>

<xsl:template match="authentication">
  <authentication>
	<xsl:apply-templates select="users"/>
  </authentication>
</xsl:template>


<xsl:template match="users">
    <xsl:apply-templates select="user"/>
</xsl:template>


<xsl:template match="user">
    <!-- Compare the name of the user -->
    <xsl:if test="normalize-space(ID) = $username">
    <!--    <xsl:if test="true or normalize-space(PASSWORD) = $password">  -->
            <!-- found, so create the ID -->
            <ID><xsl:value-of select="ID"/></ID>
            <role><xsl:value-of select="role"/></role>
            <xsl:copy-of select="data"/>
<!--        </xsl:if>  -->
    </xsl:if>
</xsl:template>

</xsl:stylesheet>
